# Risk of Reworks (WIP)

Work in Progress mod that aims to rework/tweak the game where I feel it falls flat. Not tested in Multiplayer. Not considering loops.

## Problems
- Picking specific stages for more consistency/fun
- HP isn't scarce, can heal to full easily (even Eclipse since all you really need is a slug)
- Survivors having 1 "ideal" loadout with other abilities either being downgrades or just bad
- Low tier enemies spawning later in the game (specifically beetles)
- "Bosses" aren't really threatening
- Some survivors being straight up busted
- Stationary enemies
- Holdout events (standing simulator)
- Items, some are really strong while others are very underwhelming.
- Lunars, don't have actual downsides except for maybe 2 and are easy to get
- Newt, guaranteed cauldrons, stage choice, and lunars after every stage
- Void Cradles, appear outside of void seeds and are basically free for a chance of a busted item
- Most shrines aren't really used outside of early game or are a meme
- Void enemies/stages not really used outside of loops

## Changes
**General**
- Persistent HP, whatever HP you end a stage with is what you'll start the next one with
- Reduced healing efficiency, all healing is reduced by 25% (Except Eclipse 5, so E5 would be another 25% reduction instead of 50%)

**Stages/Spawns**
- No more family events
- Boosts general spawn rate/credits for Monsoon and above
- Initial monster/interactable credits are consistent for every stage tier (stage 1, 2, etc...)

**Interactables**
- Scrappers have a max spawn of 1 per stage
- TC-280s have a max spawn of 1 per stage and halved price/credit cost
- Printers have limited uses (White 3, Green 2, Red/Yellow 1)

**Items**
- Cautious Slug reduced regen to 1hp/s (vanilla 3)

**Survivors**
- Removed base/level regen
- Increased base/level move speed 8/0.1 (vanilla 7/0)

## Changelog

**0.0.2**

- README edit
- Edits healing reduction to apply properly

**0.0.1**

- Initial Release